/**
 * \file
 *
 * \brief User board initialization template
 *
 */

#include <asf.h>
#include <board.h>
#include <conf_board.h>

void board_init(void)
{
	//Setup initial GPIO configurations	
	gpio_configure_pin(GENY32_STEP_Z,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_DIR_Z,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_STEP_A,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_DIR_A,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_AD0,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_AD1,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_AD2,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_AD3,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_AD4,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_AD5,GPIO_DIR_INPUT|GPIO_PULL_DOWN);
	gpio_configure_pin(GENY32_ADCREF,GPIO_DIR_INPUT);
	gpio_configure_pin(GENY32_LED1,GPIO_DIR_OUTPUT|GPIO_INIT_HIGH);
	gpio_configure_pin(GENY32_OUT1,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_OUT2,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_OUT3,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_OUT4,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_STEP_X,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_DIR_X,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_SDA,GPIO_OPEN_DRAIN|GPIO_PULL_UP|GPIO_INIT_HIGH);
	gpio_configure_pin(GENY32_SCL,GPIO_OPEN_DRAIN|GPIO_PULL_UP|GPIO_INIT_HIGH);
	gpio_configure_pin(GENY32_STEP_Y,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_DIR_Y,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_TXD0,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_RXD0,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_TXD3,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_RXD3,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_FAN1,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_FAN2,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_LED2,GPIO_DIR_OUTPUT|GPIO_INIT_HIGH);
	gpio_configure_pin(GENY32_LED3,GPIO_DIR_OUTPUT|GPIO_INIT_HIGH);
	gpio_configure_pin(GENY32_RESET_A,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_enable_module_pin(SD_MMC_SPI_SCK_PIN,SD_MMC_SPI_SCK_FUNCTION);
	gpio_enable_module_pin(SD_MMC_SPI_MISO_PIN,SD_MMC_SPI_MISO_FUNCTION);
	gpio_enable_module_pin(SD_MMC_SPI_MOSI_PIN,SD_MMC_SPI_MOSI_FUNCTION);
	gpio_enable_module_pin(SD_MMC_SPI_NPCS_PIN,SD_MMC_SPI_NPCS_FUNCTION);
	gpio_configure_pin(GENY32_EN_A,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_EN_Z,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_EN_Y,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_EN_X,GPIO_DIR_OUTPUT|GPIO_INIT_LOW);
	gpio_configure_pin(GENY32_ESTOP,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_LIMIT_A,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_LIMIT_Z,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_LIMIT_Y,GPIO_DIR_INPUT|GPIO_PULL_UP);
	gpio_configure_pin(GENY32_LIMIT_X,GPIO_DIR_INPUT|GPIO_PULL_UP);
	
}
