/**
 * \file
 *
 * \brief User board configuration template
 *
 */

#ifndef CONF_BOARD_H
#define CONF_BOARD_H

#include "typedefs.h"
#include "timer.h"
#include "ser.h"
#include "fs.h"
#include "nvram.h"

#define GENY32_STEP_Z AVR32_PIN_PA00
#define GENY32_DIR_Z AVR32_PIN_PA01
#define GENY32_STEP_A AVR32_PIN_PA02
#define GENY32_DIR_A AVR32_PIN_PA03
#define GENY32_AD0 AVR32_PIN_PA04
#define GENY32_AD1 AVR32_PIN_PA05
#define GENY32_AD2 AVR32_PIN_PA06
#define GENY32_AD3 AVR32_PIN_PA07

#define GENY32_AD4 AVR32_PIN_PA08
#define GENY32_AD5 AVR32_PIN_PA09

#define GENY32_ADCREF AVR32_PIN_PA16
#define GENY32_LED1 AVR32_PIN_PA19
#define GENY32_OUT1 AVR32_PIN_PA20
#define GENY32_OUT2 AVR32_PIN_PA21
#define GENY32_OUT3 AVR32_PIN_PA22
#define GENY32_OUT4 AVR32_PIN_PA23

#define GENY32_STEP_X AVR32_PIN_PB00
#define GENY32_DIR_X AVR32_PIN_PB01
#define GENY32_XTAL1 AVR32_PIN_PB30
#define GENY32_XTAL2 AVR32_PIN_PB31

#define GENY32_SDA AVR32_PIN_PC02
#define GENY32_SCL AVR32_PIN_PC03
#define GENY32_STEP_Y AVR32_PIN_PC04
#define GENY32_DIR_Y AVR32_PIN_PC05

#define GENY32_LED3 AVR32_PIN_PC15

#define GENY32_TXD0 AVR32_PIN_PC15
#define GENY32_RXD0 AVR32_PIN_PC16
#define GENY32_TXD3 AVR32_PIN_PC17
#define GENY32_RXD3 AVR32_PIN_PC18
#define GENY32_FAN1 AVR32_PIN_PC19
#define GENY32_FAN2 AVR32_PIN_PC20
#define GENY32_LED2 AVR32_PIN_PC21
#define GENY32_RESET_A AVR32_PIN_PC22

#define GENY32_MOSI AVR32_PIN_PD00
#define GENY32_MISO AVR32_PIN_PD01
#define GENY32_SCK AVR32_PIN_PD02
#define GENY32_SS AVR32_PIN_PD03

#define GENY32_EN_A AVR32_PIN_PD11
#define GENY32_EN_Z AVR32_PIN_PD12
#define GENY32_EN_Y AVR32_PIN_PD13
#define GENY32_EN_X AVR32_PIN_PD14

#define GENY32_ESTOP AVR32_PIN_PD21

#define GENY32_LIMIT_A AVR32_PIN_PD27
#define GENY32_LIMIT_Z AVR32_PIN_PD28
#define GENY32_LIMIT_Y AVR32_PIN_PD29
#define GENY32_LIMIT_X AVR32_PIN_PD30

#define GENY32_LEDRED GENY32_LED1
#define GENY32_LEDGREEN GENY32_LED2
#define GENY32_LEDGREEN2 GENY32_LED3

//#define CONF_BOARD_SD_MMC_SPI


#endif // CONF_BOARD_H
